[Overview][Classes][Index] | Reference for unit 'streamex' (#fcl)

# TBidirBinaryObjectReader

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Binary component stream reader with BiDi support

## Declaration

Source position: streamex.pp line 13

`type TBidirBinaryObjectReader = class(TBinaryObjectReader)`
`public`
`property Position: LongInt; [rw]` |  | Position in the stream
`end;`

## Inheritance

`TBidirBinaryObjectReader` |  | Binary component stream reader with BiDi support
`TBinaryObjectReader`
`TAbstractObjectReader`
`TObject`

## Description

TBidirBinaryObjectReader is a class descendent from TBinaryObjectReader, which implements the necessary support for BiDi data: the position in the stream (not available in the standard streaming) is emulated.

## See also

TBidirBinaryObjectWriter |  | Binary component stream writer with BiDi support
TDelphiReader |  | Stream reader with BiDi Support

Documentation generated on: Feb 26 2014